Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161710 - gcalc will not convert value when switching base (eg. from dec to hex)
Summary: gcalc will not convert value when switching base (eg. from dec to hex)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-26 11:06 UTC by Philip Heron
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-18 15:12:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 313878 None None None Never

Description Philip Heron 2005-06-26 11:06:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I use gcalc a lot to convert between decimal and hexidecimal, but in FC4 this isn't working. The displayed value is not being updated to reflect the new numeric base. For example, entering 128 in decimal and switching to hexidecimal should result in 80 in hex (= 128 dec). What is now happening is the display remains at 128 but is now a hex value (= 296 dec).

Version-Release number of selected component (if applicable):
gnome-utils-2.10.0-3

How reproducible:
Always

Steps to Reproduce:
1. Enter a value in any numeric base.
2. Change the base mode.


Actual Results:  The display remains the same and the value is now incorrect.

Expected Results:  The display should be updated to reflect it's value in the selected numeric base.

Additional info:

Comment 1 Sean Bruno 2005-07-20 21:06:34 UTC
I can confirm this as an issue.

I have noted that the variable storage is borked as well.  It appears that you
can store all 10 variables, but attempting to recall any value only returns the
value stored in R0.  eg..store 15 in R0 and 27 in R9, recall R9 and you will get
15 not 27.

Comment 2 wilksen 2005-07-25 14:54:09 UTC
Confirmed here, too. It also applies to whether one is using degrees, radiants
or gradians. For the base conversion, I noticed that if
one types in e.g. a decimal number, click on the binary base toggle, it does not
yet show the correct result, however after hitting the enter key on the 
keyboard it *does* display the correct result. From then on it displays 
the converted value just by clicking on the corresponding toggle button.

Comment 3 Sean Bruno 2005-08-18 07:19:25 UTC
Any ideas here?

Comment 4 Ray Strode [halfline] 2005-08-18 18:36:21 UTC
Hi Sean,

I'm not presently looking at this bug.  You might get a better response time if
you file it upstream.

This type of bug is better filed upstream in general anyway I think.

Comment 5 Warren Togami 2005-08-18 18:53:08 UTC
When you have filed this bug at the upstream bugzilla.gnome.org, please post the
URL here for cross-reference purposes.


Comment 6 Sean Bruno 2005-08-18 19:20:39 UTC
Filed upstream today:

http://bugzilla.gnome.org/show_bug.cgi?id=313878

Comment 7 Ray Strode [halfline] 2005-08-18 20:13:17 UTC
Great, thanks.

Comment 8 Sean Bruno 2005-08-18 21:20:40 UTC
Folks at gnome closed it and I tested their 5.6.26.  This issue IS resolved in
that release, but it is 5.6 not 5.5

Do you want to spin a new release for testing based on 5.6 for FC4, or should we
look at the latest 5.5 available at gnome.org?

Comment 9 Sean Bruno 2005-09-18 04:53:20 UTC
Uh...can we get an updated package for FC4?  The folks upstream have resolved
this issue and it's kind of a drag to have to use someone else's calculator all
the time...  :)

Can someone re-open this ticket?

Comment 10 Ray Strode [halfline] 2005-09-19 14:23:13 UTC
Hi Sean,

Sure.

Comment 11 Sean Bruno 2005-09-23 17:22:21 UTC
I dont know how difficult it would be to release an update for the calculator,
but I can confirm that this issue is resolved upstream at gnome.org.

Can we throw a package into testing for these issues?

Comment 12 Ray Strode [halfline] 2005-09-23 17:44:48 UTC
Hi Sean,

Sorry about this, it got burried in my priority queue until I forgot about it. 
I'll work on it this afternoon.

Comment 13 Sean Bruno 2006-08-12 03:41:10 UTC
This ticket is resolved in FC5.  I would vote to close it out.

Comment 14 Ray Strode [halfline] 2006-08-12 05:13:48 UTC
Ah, I suck.

If you want the update, I'll do it first thing monday morning, otherwise we can
close the bug.

Comment 15 Sean Bruno 2006-08-12 06:10:37 UTC
no worries here.  I'd go ahead and close it out.

Comment 16 Sean Bruno 2006-09-16 20:27:36 UTC
well...I can't close it.  So I'll leave it to someone to come through and clean
up this ticket to close it.


Note You need to log in before you can comment on or make changes to this bug.